OpenGL 3.2+

Discussion in 'Windows Guest OS Discussion' started by OpticFroggy, Sep 8, 2013.

  1. AmandaR1

    AmandaR1 Bit Poster

    Messages:
    1
    Agree 42njk42... this is ridiculous! Have used Parallels since v6 but think it's time to leave also as Parallels will soon become obsolete for many who need MINIMUM OpenGL 3.2+ capability. Grrrr....
     
  2. QianyiZ

    QianyiZ Bit Poster

    Messages:
    1
    Just to contribute some voice here.
    I have been monitoring this thread and KB115487 for almost a year. Sadly, nothing has changed. Very disappointing.

    We are developing a cross-platform system. We used to use Parallels Desktop to check builds on all platforms (Windows, Linux, OSX, etc).
    But since the system started to have functions that heavily rely on OpenGL 3.2+, I can't test it with Parallels.

    I do hope the Parallels team have a roadmap for adding OpenGL 3.2+ as a feature in their next release.
    Or the only option for me is to switch to VMWare Fusion.
     
  3. BlackX

    BlackX Bit Poster

    Messages:
    2
    Yes it would be nice if Parallels would support OpenGL 3.2+, I switched to VMWare Fusion 8 because it supports OpenGL 3.3.
     
  4. cgfunk

    cgfunk Bit Poster

    Messages:
    1
    It's really ridiculous when I follow the advice from KB115487, download OpenGL Extensions Viewer and check my mac's OpenGL version, it shows my mac's OpenGL version has been 4.1! It's already 2016, Parallels! What are you guys doing?!
     
  5. Docent

    Docent Bit Poster

    Messages:
    19
    cgfunk you know what I just switch to vmware 8 where is support OpenGL 3 with no problem. After spend 1 day of setting up the VM is working the same like parallels. I don't want to wait longer. I here from version 3 that they have this on Plans - I ask how long more we must wait. They added million of stupid changes , now they are focuse on Parallels buying from APPSTORE, so I think we wait LONG LONG. Maybe in 2020 we see some support of Open GL 3. Then will be Open GL 8 and they say that MAC not support that. DEAR PARALLELS IF VM WARE can supoort OpenGL 3 you ALSO SHOULD easly do that. I like parallels more but Don't wait forever.
     
  6. PaulChris@Parallels

    PaulChris@Parallels Product Expert Parallels Support

    Messages:
    3,141
    Hi Guys,
    Parallels virtual machine (Windows, Linux and OS X) uses OpenGL version that Host OS have on board, but not higher than 2.1
    We suggest that you subscribe to this KB so that you will be notified of any updates we have regarding OpenGL support in Parallels Desktop.
     
  7. FriedrichW

    FriedrichW Bit Poster

    Messages:
    15
    linking to a more then a 3 years old kb is not a answer. For me it looks like parallels is not interested to solve this problem.
    So we must change to a other solution. Bad. I like parallels but..........
     
  8. philip_lamb

    philip_lamb Bit Poster

    Messages:
    6
    Just to add another "me too". Without OpenGL 3.x support soon, we're going to have to switch a 5-person team away from Parallels.
     
  9. Specimen

    Specimen Product Expert

    Messages:
    3,244
    I also think it's about time it supports something better than OpenGL 2.1, the years have passed, the competition has support for 3.x and now the problem isn't even 3.x anymore, it's Vulkan.
     
  10. mariocha

    mariocha Bit Poster

    Messages:
    4
    Support of recent OpenGL is URGENT. !
    You are going to loose clients.
     
    Hoogeveen likes this.
  11. ElleryC

    ElleryC Bit Poster

    Messages:
    3
    The KB article seems to indicate that OpenGL 3.2 is supported, but my Windows 7 guest OS indicates only 2.1 is supported. Is there any remedy?
     
  12. Ajith1

    Ajith1 Parallels Support

    Messages:
    2,720
    Hi ElleryC,
    We would like to inform you that Open GL 3.2 is not fully supported only Open GL 3.2 core profile is supported.
     
  13. ElleryC

    ElleryC Bit Poster

    Messages:
    3
    Thanks for the quick response.
    This message seems to indicate that only OpenGL 2.1 is supported.


    I'm running Parallels 12.2.0 on MacOS Sierra. The graphics setting is set to DirectX 10. Is there some way to increase the supported OpenGL version?
    A related question: Is there any plan to improve the direct access to the host graphics capabilities, so the guest OS's can keep up? OpenGL support is falling too far behind the rest of the industry, and as others have mentioned, Vulkan is (hopefully) coming.
     
  14. ShengtingL

    ShengtingL Bit Poster

    Messages:
    5
    So, it's 2018 now. The VMWare Fusion can support OpenGL 3.x long long ago.
    When will you?
    I bought Parallels 13 a week ago. May I get reimbursement?
     
  15. BillyM2

    BillyM2 Bit Poster

    Messages:
    5
    I'm on parallels 14.0.1. Still only supports OpenGL 2.1. We just moved our developed to a updated framework and we now require 3.2 to work. This issue has been around for over 3 years and you guys still haven't addressed it. Another customer moving on to fusion due to you not caring about this feature set for a very, very, very long time now.
     
  16. Ajith1

    Ajith1 Parallels Support

    Messages:
    2,720
    Parallels Desktop 14 currently provides OpenGL support for several applications including
    1.) SketchUp 2017/2018 2.)CTVox 3.)DIALux 8 4.)OriginLab.
    Parallels Engineering team keeps working on extending the list of supported applications that requires OpenGL 3.3 or higher. Unfortunately, we do not have an ETA for this.
    Please post your suggestion/vote here, mentioning the program(s) you use which need OpenGL support.
     

Share This Page